#ifndef _HANDLETYPE_H_
#define _HANDLETYPE_H_

#include <time.h>
#include <libconfig.h>
#include "ringbuffer.h"


typedef struct {
    config_t *config;
    ringbuffer_t *ringbuffer;
    void* context;
} commonThreadHandle_t;

typedef struct {
    time_t ts;
    char *topic;
    char *payload;
} auditItem_t;
  
  
#endif // _HANDLETYPE_H_
