#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>
#include "commonTypes.h"
#include "ringbuffer.h"

void *sink(void *ptr) {
    fprintf(stderr, "sink entered\n");

    commonThreadHandle_t *handle = (commonThreadHandle_t*)ptr;

    while (1) {
        auditItem_t *auditItem = (auditItem_t*)ringbufferGet(handle->ringbuffer);

        printf("AuditItem: Time:    %ld\n", auditItem->ts);
        printf("AuditItem: Topic:   %s\n", auditItem->topic);
        printf("AuditItem: Payload: %s\n", auditItem->payload);

        free(auditItem->topic);
        auditItem->topic = NULL;
        free(auditItem->payload);
        auditItem->payload = NULL;
        free(auditItem);
        auditItem = NULL;
    }
}

